%define upstream_name HTTP_Server
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.4.1
Release:     	%mkrel 7
Summary:    	HTTP server class
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTTP_Server-%{version}.tgz
URL: 		http://pear.php.net/package/HTTP_Server
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-HTTP
Requires:	php-pear-Net_Server >= 0.12.0
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
HTTP server class that allows you to easily implement HTTP servers by
supplying callbacks.
The base class will parse the request, call the appropriate callback and
build a repsonse
based on an array that the callbacks have to return.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTTP_Server.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTTP_Server.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTTP_Server
fi

%files
%doc docs/HTTP_Server/*
%{peardir}/*
%{xmldir}/HTTP_Server.xml


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.4.1-7.mga6
+ Revision: 936544
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-6.mga5
+ Revision: 743797
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-5.mga5
+ Revision: 687297
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.1-4.mga4
+ Revision: 516883
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.1-3.mga3
+ Revision: 376329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 spuhler <spuhler> 0.4.1-2.mga2
+ Revision: 219586
+ rebuild (emptylog)

* Tue Mar 06 2012 spuhler <spuhler> 0.4.1-1.mga2
+ Revision: 219553
- upgrade to 0.4.1
  pearized spec

* Fri Jan 28 2011 spuhler <spuhler> 0.4.0-12.mga1
+ Revision: 42598
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTTP_Server


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-12mdv2011.0
+ Revision: 613684
- the mass rebuild of 2010.1 packages

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-11mdv2010.1
+ Revision: 477897
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.4.0-10mdv2010.0
+ Revision: 441186
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-9mdv2009.1
+ Revision: 322128
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-8mdv2009.0
+ Revision: 236887
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.4.0-7mdv2008.1
+ Revision: 136407
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-7mdv2007.0
+ Revision: 81799
- Import php-pear-HTTP_Server

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-1mdk
- initial Mandriva package (PLD import)

